{% extends 'base/summarized.html' %}
{% load mathfilters %}

{% block base_title %}Workers in node {{ node.id }} {% endblock %}


{% block content %}
    <div class="jumbotron">
        <div>
            <h1>Workers in the node {{ node.id }}</h1>
            <div class="d-flex flex-column mt-3">
                {% for volume in node.volume.all %}
                    <div class="p-2 d-flex flex-row">
                        <div class="p-2 font-weight-bold">
                            &#8226 {{ volume.ability.name }} :
                        </div>
                        <div class="p-2">
                            {{ volume.ability.descr }}
                        </div>
                    </div>

                    {% include 'base/display_area.html' with min=volume.min max=volume.max %}
                {% endfor %}
            </div>
            <hr class="my-4">
        </div>

        <div>
            {% if object.peoples.count == 0 %}
                <div class="alert alert-info" role="alert">
                    No workers in this node.
                </div>
            {% else %}
                {% include 'base/pagination.html' with page_obj=page_obj paginator=paginator%}

                <div class="row">
                    <div class="col-4">
                        <div class="list-group" id="myList" role="tablist">
                            {% for worker in object_list %}
                                <a class="list-group-item list-group-item-action {% if worker.id == object_list.0.id %}active{% endif %}" data-toggle="list" href="#w_{{ worker.id }}" role="tab">
                                    Worker : {{ worker.id }}
                                </a>

                            {% endfor %}
                        </div>
                    </div>
                    <div class="col-8">
                        <div class="tab-content">
                            {% for worker in object_list %}
                                <div class="tab-pane {% if worker.id == object_list.0.id %}active{% endif %}" id="w_{{ worker.id }}" role="tabpanel">
                                    <div class="d-flex bd-highlight mb-2">
                                        <div class="p-2 bd-highlight">
                                            <h3 class="font-weight-bold">Worker {{ worker.id }}</h3>
                                        </div>
                                    </div>
                                    <hr>

                                    <div>
                                        {% for wab in worker.abilities.all %}
                                            {% with w_level=wab.level|mul:100|floatformat:0 %}
                                                <div class="row p-2">
                                                    <b class="col-sm-2">{{ wab.ability.name }} :</b>
                                                    <div class="col-sm-10">
                                                        <div class="progress" style="background-color: lightgrey">
                                                            <div class="progress-bar bg-info" role="progressbar" style="width: {{ w_level }}%">{{ wab.level|floatformat:2 }}</div>
                                                        </div>
                                                    </div>
                                                </div>
                                            {% endwith %}
                                        {% endfor %}
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            {% endif %}
        </div>

    </div>
{% endblock %}